Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.content
Class ContentBaseFactory<T extends ContentBase>

    java.lang.Object
      com.bea.apps.groupspace.content.ContentFactoryImpl<T>
          com.bea.apps.groupspace.content.ContentBaseFactory<T>

All Implemented Interfaces
  ContentFactory<T>, Serializable

    public class ContentBaseFactory<T extends ContentBase>

extends ContentFactoryImpl<T>

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

See Also
  Serialized Form

Field Summary
`protected static ContentBaseFactory` | `thisFactory`
`protected static Map<String,Class>` | `typeNameToClassHash`

Fields inherited from class com.bea.apps.groupspace.content.ContentFactoryImpl
`debug`

Method Summary
`protected Class` | `getClassFromMap(String cmTypeName)`
`static ContentFactory` | `getInstance()`
`protected Class` | `getMinimumClass()`

Methods inherited from class com.bea.apps.groupspace.content.ContentFactoryImpl
`createContentWrapper, createContentWrapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeNameToClassHash

    protected static Map<String,Class> typeNameToClassHash

### thisFactory

    protected static ContentBaseFactory thisFactory

Method Detail

### getInstance

    public static ContentFactory getInstance()
                                      throws ClassNotFoundException

  Throws
    `ClassNotFoundException`

### getMinimumClass

    protected Class getMinimumClass()

  Specified by:
    `getMinimumClass` in class `ContentFactoryImpl<T extends ContentBase>`
  Returns
    should match the class T extends as specified in the class declaration

### getClassFromMap

    protected Class getClassFromMap(String cmTypeName)

  Specified by:
    `getClassFromMap` in class `ContentFactoryImpl<T extends ContentBase>`
  Returns
    Class keyed by the string cmTypeName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved